Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class UpdatingPermissionManagerImpl

    java.lang.Object
      org.jasig.portal.security.provider.PermissionManagerImpl
          org.jasig.portal.security.provider.UpdatingPermissionManagerImpl

All Implemented Interfaces:
  IPermissionManager, IUpdatingPermissionManager

    public class UpdatingPermissionManagerImpl

extends PermissionManagerImpl
implements IUpdatingPermissionManager

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck (de3@columbia.edu)

Field Summary

Fields inherited from class org.jasig.portal.security.provider.PermissionManagerImpl
`permissionStore`

Constructor Summary
`UpdatingPermissionManagerImpl(java.lang.String newOwner, AuthorizationImpl authService)` This constructor ensures that the PermissionManager will be created with an owner specified

Method Summary
`void` | `addPermissions(IPermission[] newPermissions)` Add a new set of IPermission objects to the system.
`IPermission[]` | `getAllPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Retrieve an array of `IPermission` objects based on the given parameters.
`IPermission[]` | `getPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Retrieve an array of IPermission objects based on the given parameters.
`IPermission` | `newPermission(IAuthorizationPrincipal principal)` Creates a new `IPermission` for the `principal` on behalf of the owner of this `IPermissionManager`.
`void` | `removePermissions(IPermission[] oldPermissions)` Remove set of IPermission objects from the system.
`void` | `updatePermissions(IPermission[] changedPermissions)` Update a set of IPermission objects to the system.

Methods inherited from class org.jasig.portal.security.provider.PermissionManagerImpl
`getAuthorizationService, getAuthorizedPrincipals, getOwner, getPermissions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.security.IPermissionManager
`getAuthorizedPrincipals, getOwner, getPermissions`

Constructor Detail

### UpdatingPermissionManagerImpl

    public UpdatingPermissionManagerImpl(java.lang.String newOwner,
                                         AuthorizationImpl authService)

  This constructor ensures that the PermissionManager will be created with an owner specified

  Parameters:
    `newOwner` - the new owner
    `authService` - the authorization service

Method Detail

### addPermissions

    public void addPermissions(IPermission[] newPermissions)
                        throws AuthorizationException

  Add a new set of IPermission objects to the system.

  Specified by:
    `addPermissions` in interface `IUpdatingPermissionManager`
  Parameters:
    `newPermissions` -
  Throws:
    `AuthorizationException`

### getAllPermissions

    public IPermission[] getAllPermissions(IAuthorizationPrincipal principal,
                                           java.lang.String activity,
                                           java.lang.String target)
                                    throws AuthorizationException

  Retrieve an array of `IPermission` objects based on the given parameters. Includes inherited `IPermissions`. Any null parameters will be ignored.

  Specified by:
    `getAllPermissions` in interface `IPermissionManager`
  Overrides:
    `getAllPermissions` in class `PermissionManagerImpl`
  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String
    `target` - String
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

### getPermissions

    public IPermission[] getPermissions(IAuthorizationPrincipal principal,
                                        java.lang.String activity,
                                        java.lang.String target)
                                 throws AuthorizationException

  Retrieve an array of IPermission objects based on the given parameters. Any null parameters will be ignored.

  Specified by:
    `getPermissions` in interface `IPermissionManager`
  Overrides:
    `getPermissions` in class `PermissionManagerImpl`
  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String
    `target` - String
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

### newPermission

    public IPermission newPermission(IAuthorizationPrincipal principal)
                              throws AuthorizationException

  Creates a new `IPermission` for the `principal` on behalf of the owner of this `IPermissionManager`.

  Specified by:
    `newPermission` in interface `IUpdatingPermissionManager`
  Parameters:
    `principal` - IAuthorizationPrincipal
  Throws:
    `AuthorizationException`

### removePermissions

    public void removePermissions(IPermission[] oldPermissions)
                           throws AuthorizationException

  Remove set of IPermission objects from the system.

  Specified by:
    `removePermissions` in interface `IUpdatingPermissionManager`
  Parameters:
    `oldPermissions` -
  Throws:
    `AuthorizationException`

### updatePermissions

    public void updatePermissions(IPermission[] changedPermissions)
                           throws AuthorizationException

  Update a set of IPermission objects to the system.

  Specified by:
    `updatePermissions` in interface `IUpdatingPermissionManager`
  Parameters:
    `changedPermissions` -
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD